diff --git a/drupal7/sites/all/modules/date/date_popup/date_popup.module b/drupal7/sites/all/modules/date/date_popup/date_popup.module
index a03132e9..89fcf15a 100644
--- a/drupal7/sites/all/modules/date/date_popup/date_popup.module
+++ b/drupal7/sites/all/modules/date/date_popup/date_popup.module
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * A module to enable jquery calendar and time entry popups.
@@ -49,8 +50,10 @@ function date_popup_add() {
 function date_popup_get_wvega_path() {
   $path = FALSE;
   if (function_exists('libraries_get_path')) {
+    // Try loading the wvega timepicker library.
     $path = libraries_get_path('wvega-timepicker');
-    if (!file_exists($path)) {
+    // Check if the library actually exists.
+    if (empty($path) || !file_exists($path)) {
       $path = FALSE;
     }
   }
@@ -107,12 +110,10 @@ function date_popup_library() {
  *
  * @param string $id
  *   The CSS class prefix to search the DOM for.
- *   TODO : unused ?
- *
+ *   @todo unused ?
  * @param string $func
  *   The jQuery function to invoke on each DOM element
  *   containing the returned CSS class.
- *
  * @param array $settings
  *   The settings array to pass to the jQuery function.
  *
@@ -127,9 +128,9 @@ function date_popup_js_settings_id($id, $func, $settings) {
   // Make sure popup date selector grid is in correct year.
   if (!empty($settings['yearRange'])) {
     $parts = explode(':', $settings['yearRange']);
-    // Set the default date to 0 or the lowest bound if
-    // the date ranges do not include the current year.
-    // Necessary for the datepicker to render and select dates correctly.
+    // Set the default date to 0 or the lowest bound if the date ranges do not
+    // include the current year. Necessary for the datepicker to render and
+    // select dates correctly.
     $default_date = ($parts[0] > 0 || 0 > $parts[1]) ? $parts[0] : 0;
     $settings += array('defaultDate' => (string) $default_date . 'y');
   }
@@ -145,9 +146,8 @@ function date_popup_js_settings_id($id, $func, $settings) {
     $id_count[$id] = 0;
   }
 
-  // It looks like we need the additional id_count for this to
-  // work correctly when there are multiple values.
-  // $return_id = "$id-$func-popup";
+  // It looks like we need the additional id_count for this to work correctly
+  // when there are multiple values.
   $return_id = "$id-$func-popup-" . $id_count[$id]++;
   $js_settings['datePopup'][$return_id] = array(
     'func' => $func,
@@ -170,44 +170,44 @@ function date_popup_theme() {
 
 /**
  * Implements hook_element_info().
- *
- * Set the #type to date_popup and fill the element #default_value with
- * a date adjusted to the proper local timezone in datetime format
- * (YYYY-MM-DD HH:MM:SS).
- *
- * The element will create two textfields, one for the date and one for the
- * time. The date textfield will include a jQuery popup calendar date picker,
- * and the time textfield uses a jQuery timepicker.
- *
- * NOTE - Converting a date stored in the database from UTC to the local zone
- * and converting it back to UTC before storing it is not handled by this
- * element and must be done in pre-form and post-form processing!!
- *
- * #date_timezone
- *   The local timezone to be used to create this date.
- *
- * #date_format
- *   Unlike earlier versions of this popup, most formats will work.
- *
- * #date_increment
- *   Increment minutes and seconds by this amount, default is 1.
- *
- * #date_year_range
- *   The number of years to go back and forward in a year selector,
- *   default is -3:+3 (3 back and 3 forward).
- *
- * #datepicker_options
- *   An associative array representing the jQuery datepicker options you want
- *   to set for this element. Use the jQuery datepicker option names as keys.
- *   Hard coded defaults are:
- *   - changeMonth => TRUE
- *   - changeYear => TRUE
- *   - autoPopUp => 'focus'
- *   - closeAtTop => FALSE
- *   - speed => 'immediate'
  */
 function date_popup_element_info() {
   $timepicker = date_popup_get_preferred_timepicker();
+
+  // Set the #type to date_popup and fill the element #default_value with
+  // a date adjusted to the proper local timezone in datetime format
+  // (YYYY-MM-DD HH:MM:SS).
+  //
+  // The element will create two textfields, one for the date and one for the
+  // time. The date textfield will include a jQuery popup calendar date picker,
+  // and the time textfield uses a jQuery timepicker.
+  //
+  // NOTE - Converting a date stored in the database from UTC to the local zone
+  // and converting it back to UTC before storing it is not handled by this
+  // element and must be done in pre-form and post-form processing!!
+  //
+  // #date_timezone
+  //   The local timezone to be used to create this date.
+  //
+  // #date_format
+  //   Unlike earlier versions of this popup, most formats will work.
+  //
+  // #date_increment
+  //   Increment minutes and seconds by this amount, default is 1.
+  //
+  // #date_year_range
+  //   The number of years to go back and forward in a year selector,
+  //   default is -3:+3 (3 back and 3 forward).
+  //
+  // #datepicker_options
+  //   An associative array representing the jQuery datepicker options you want
+  //   to set for this element. Use the jQuery datepicker option names as keys.
+  //   Hard coded defaults are:
+  //   - changeMonth => TRUE
+  //   - changeYear => TRUE
+  //   - autoPopUp => 'focus'
+  //   - closeAtTop => FALSE
+  //   - speed => 'immediate'
   $type['date_popup'] = array(
     '#input' => TRUE,
     '#tree' => TRUE,
@@ -222,10 +222,15 @@ function date_popup_element_info() {
     '#process' => array('date_popup_element_process'),
     '#value_callback' => 'date_popup_element_value_callback',
     '#theme_wrappers' => array('date_popup'),
+    '#attached' => array('css' => array(
+      drupal_get_path('module', 'date_popup'). '/themes/datepicker.1.7.css',
+    )),
   );
+
   if (module_exists('ctools')) {
     $type['date_popup']['#pre_render'] = array('ctools_dependent_pre_render');
   }
+
   return $type;
 }
 
@@ -262,15 +267,14 @@ function date_popup_time_format($element) {
 /**
  * Element value callback for date_popup element.
  */
-// @codingStandardsIgnoreStart
 function date_popup_element_value_callback($element, $input = FALSE, &$form_state) {
   $granularity = date_format_order($element['#date_format']);
   $has_time = date_has_time($granularity);
   $date = NULL;
   $return = $has_time ? array('date' => '', 'time' => '') : array('date' => '');
-  // Normal input from submitting the form element.
-  // Check is_array() to skip the string input values created by Views pagers.
-  // Those string values, if present, should be interpreted as empty input.
+  // Normal input from submitting the form element. Check is_array() to skip
+  // the string input values created by Views pagers. Those string values, if
+  // present, should be interpreted as empty input.
   if ($input !== FALSE && is_array($input)) {
     $return = $input;
     $date = date_popup_input_date($element, $input);
@@ -290,7 +294,6 @@ function date_popup_element_value_callback($element, $input = FALSE, &$form_stat
   return $return;
 
 }
-// @codingStandardsIgnoreEnd
 
 /**
  * Javascript popup element processing.
@@ -357,21 +360,32 @@ function date_popup_process_date_part(&$element) {
     return array();
   }
 
-  // The datepicker can't handle zero or negative values like 0:+1
-  // even though the Date API can handle them, so rework the value
-  // we pass to the datepicker to use defaults it can accept (such as +0:+1)
+  // The datepicker can't handle zero or negative values like 0:+1 even though
+  // the Date API can handle them, so rework the value we pass to the
+  // datepicker to use defaults it can accept (such as +0:+1)
   // date_range_string() adds the necessary +/- signs to the range string.
   $this_year = date_format(date_now(), 'Y');
-  // When used as a Views exposed filter widget, $element['#value'] contains an array instead an string.
-  // Fill the 'date' string in this case.
+  // When used as a Views exposed filter widget, $element['#value'] contains an
+  // array instead an string. Fill the 'date' string in this case.
   $mock = NULL;
   $callback_values = date_popup_element_value_callback($element, FALSE, $mock);
   if (!isset($element['#value']['date']) && isset($callback_values['date'])) {
+    if (!is_array($element['#value'])) {
+      $element['#value'] = array();
+    }
     $element['#value']['date'] = $callback_values['date'];
   }
   $date = '';
   if (!empty($element['#value']['date'])) {
+    // @todo If date does not meet the granularity or format condtions, then
+    // $date will have error condtions and '#default_value' below will have the
+    // global default date (most likely formatted string from 'now'). There
+    // will be an validation error message referring to the actual input date
+    // but the form element will display formatted 'now'.
     $date = new DateObject($element['#value']['date'], $element['#date_timezone'], date_popup_date_format($element));
+    if (!date_is_date($date)) {
+      $date = '';
+    }
   }
   $range = date_range_years($element['#date_year_range'], $date);
   $year_range = date_range_string($range);
@@ -401,8 +415,11 @@ function date_popup_process_date_part(&$element) {
   // Create a unique id for each set of custom settings.
   $id = date_popup_js_settings_id($element['#id'], 'datepicker', $settings);
 
-  // Manually build this element and set the value -
-  // this will prevent corrupting the parent value.
+  // Manually build this element and set the value - this will prevent
+  // corrupting the parent value.
+  // Do NOT set '#input' => FALSE as this prevents the form API from recursing
+  // into this element (this was useful when the '#value' property was being
+  // overwritten by the '#default_value' property).
   $parents = array_merge($element['#parents'], array('date'));
   $sub_element = array(
     '#type' => 'textfield',
@@ -410,17 +427,16 @@ function date_popup_process_date_part(&$element) {
     '#title_display' => $element['#date_label_position'] == 'above' ? 'before' : 'invisible',
     '#default_value' => date_format_date($date, 'custom', date_popup_date_format($element)),
     '#id' => $id,
-    '#input' => FALSE,
     '#size' => !empty($element['#size']) ? $element['#size'] : 20,
     '#maxlength' => !empty($element['#maxlength']) ? $element['#maxlength'] : 30,
     '#attributes' => $element['#attributes'],
     '#parents' => $parents,
     '#name' => array_shift($parents) . '[' . implode('][', $parents) . ']',
     '#ajax' => !empty($element['#ajax']) ? $element['#ajax'] : FALSE,
+    '#required' => $element['#required'],
   );
-  $sub_element['#value'] = $sub_element['#default_value'];
-  // TODO, figure out exactly when we want this description.
-  // In many places it is not desired.
+  // Do NOT overwrite the actual input with the default value.
+  // @todo Figure out exactly when this is needed, in many places it is not.
   $sub_element['#description'] = ' ' . t('E.g., @date', array(
       '@date' => date_format_date(
         date_example_date(),
@@ -442,8 +458,8 @@ function date_popup_process_time_part(&$element) {
     return array();
   }
 
-  // When used as a Views exposed filter widget, $element['#value'] contains an array instead an string.
-  // Fill the 'time' string in this case.
+  // When used as a Views exposed filter widget, $element['#value'] contains an
+  // array instead an string. Fill the 'time' string in this case.
   $mock = NULL;
   $callback_values = date_popup_element_value_callback($element, FALSE, $mock);
   if (!isset($element['#value']['time']) && isset($callback_values['time'])) {
@@ -464,11 +480,17 @@ function date_popup_process_time_part(&$element) {
         'spinnerImage' => '',
         'fromTo' => isset($fromto),
       );
+
       if (strpos($element['#date_format'], 'a') !== FALSE) {
         // Then we are using lowercase am/pm.
-        $settings['ampmNames'] = array('am', 'pm');
+        $options = date_ampm_options(FALSE, FALSE);
+        $settings['ampmNames'] = array($options['am'], $options['pm']);
       }
-      if (strpos($element['#date_format'], ' A') !== FALSE || strpos($element['#date_format'], ' a') !== FALSE) {
+
+      if (strpos($element['#date_format'], 'A') !== FALSE) {
+        // Then we are using uppercase am/pm.
+        $options = date_ampm_options(FALSE, TRUE);
+        $settings['ampmNames'] = array($options['am'], $options['pm']);
         $settings['ampmPrefix'] = ' ';
       }
       break;
@@ -496,14 +518,13 @@ function date_popup_process_time_part(&$element) {
     default:
       $func = '';
       $settings = array();
-      break;
   }
 
   // Create a unique id for each set of custom settings.
   $id = date_popup_js_settings_id($element['#id'], $func, $settings);
 
-  // Manually build this element and set the value -
-  // this will prevent corrupting the parent value.
+  // Manually build this element and set the value - this will prevent
+  // corrupting the parent value.
   $parents = array_merge($element['#parents'], array('time'));
   $sub_element = array(
     '#type' => 'textfield',
@@ -517,12 +538,12 @@ function date_popup_process_time_part(&$element) {
     '#parents' => $parents,
     '#name' => array_shift($parents) . '[' . implode('][', $parents) . ']',
     '#ajax' => !empty($element['#ajax']) ? $element['#ajax'] : FALSE,
+    '#required' => $element['#required'],
   );
 
-  $sub_element['#value'] = $sub_element['#default_value'];
+  // Do NOT overwrite the actual input with the default value.
 
-  // TODO, figure out exactly when we want this description.
-  // In many places it is not desired.
+  // @todo Figure out exactly when this is needed, in many places it is not.
   $example_date = date_now();
   date_increment_round($example_date, $element['#date_increment']);
   $sub_element['#description'] = t('E.g., @date', array(
@@ -543,7 +564,6 @@ function date_popup_process_time_part(&$element) {
  * contains a string, after submission it contains an array.
  */
 function date_popup_validate($element, &$form_state) {
-
   if (date_hidden_element($element)) {
     return;
   }
@@ -581,9 +601,9 @@ function date_popup_validate($element, &$form_state) {
   // @codingStandardsIgnoreEnd
   $date = date_popup_input_date($element, $input);
 
-  // If the date has errors, display them.
-  // If something was input but there is no date, the date is invalid.
-  // If the field is empty and required, set error message and return.
+  // If the date has errors, display them. If something was input but there is
+  // no date, the date is invalid. If the field is empty and required, set
+  // error message and return.
   $error_field = implode('][', $element['#parents']);
   if ((empty($element['#value']['date']) && empty($element['#value']['time']))  || !empty($date->errors)) {
     if (is_object($date) && !empty($date->errors)) {
@@ -617,10 +637,8 @@ function date_popup_validate($element, &$form_state) {
  *   Useful anytime the time value is optional.
  */
 function date_popup_input_date($element, $input, $auto_complete = FALSE) {
-  if (empty($input) || !is_array($input) || !array_key_exists('date', $input) || empty($input['date'])) {
-    //check if there is no time associated in the input variable. This is the exception scenario where the user has entered only time and not date.
-    if(empty($input['time']))
-      return NULL;
+  if (empty($input) || !is_array($input) || !array_key_exists('date', $input) || (empty($input['date']) && empty($input['time']))) {
+    return NULL;
   }
   date_popup_add();
   $granularity = date_format_order($element['#date_format']);
@@ -629,12 +647,12 @@ function date_popup_input_date($element, $input, $auto_complete = FALSE) {
 
   $format = date_popup_date_format($element);
   $format .= $has_time ? ' ' . date_popup_time_format($element) : '';
-  //check if date is empty, if yes, then leave it blank.
+  // check if date is empty, if yes, then leave it blank.
   $datetime = !empty($input['date']) ? trim($input['date']) : '';
   $datetime .= $has_time ? ' ' . trim($input['time']) : '';
   $date = new DateObject($datetime, $element['#date_timezone'], $format);
-  //if the variable is time only then set TimeOnly to TRUE
-  if(empty($input['date']) && !empty($input['time']) ){
+  // if the variable is time only then set TimeOnly to TRUE.
+  if (empty($input['date']) && !empty($input['time'])) {
     $date->timeOnly = 'TRUE';
   }
   if (is_object($date)) {
@@ -660,7 +678,7 @@ function date_popup_time_formats($with_seconds = FALSE) {
 /**
  * Format options array.
  *
- * TODO Remove any formats not supported by the widget, if any.
+ * @todo Remove any formats not supported by the widget, if any.
  */
 function date_popup_formats() {
   // Load short date formats.
@@ -684,9 +702,8 @@ function date_popup_formats() {
  *   A normal date format string, like Y-m-d
  *
  * @return string
- *   A format string in popup format, like YMD-, for the
- *   earlier 'calendar' version, or m/d/Y for the later 'datepicker'
- *   version.
+ *   A format string in popup format, like YMD-, for the earlier 'calendar'
+ *   version, or m/d/Y for the later 'datepicker' version.
  */
 function date_popup_format_to_popup($format) {
   if (empty($format)) {
@@ -754,7 +771,7 @@ function date_popup_popup_to_format($format) {
  * input format into one that the given timepicker can support.
  *
  * @param string $timepicker
- *   The time entry plugin being used: either 'wvega' or 'default'.
+ *   The time entry plugin being used: 'wvega', 'timepicker' or 'default'.
  *
  * @return array
  *   A map of replacements.
@@ -765,6 +782,10 @@ function date_popup_timepicker_format_replacements($timepicker = 'default') {
       // The wvega timepicker only supports uppercase AM/PM.
       return array('a' => 'A');
 
+    case 'timepicker':
+      // The jquery_ui timepicker supports all possible date formats.
+      return array();
+
     default:
       // The default timeEntry plugin requires leading zeros.
       return array('G' => 'H', 'g' => 'h');
@@ -798,14 +819,14 @@ function theme_date_popup($vars) {
   $element = $vars['element'];
   $attributes = !empty($element['#wrapper_attributes']) ? $element['#wrapper_attributes'] : array('class' => array());
   $attributes['class'][] = 'container-inline-date';
-  // If there is no description, the floating date
-  // elements need some extra padding below them.
+  // If there is no description, the floating date elements need some extra
+  // padding below them.
   $wrapper_attributes = array('class' => array('date-padding'));
   if (empty($element['date']['#description'])) {
     $wrapper_attributes['class'][] = 'clearfix';
   }
-  // Add an wrapper to mimic the way a single value field works,
-  // for ease in using #states.
+  // Add an wrapper to mimic the way a single value field works, for ease in
+  // using #states.
   if (isset($element['#children'])) {
     $element['#children'] = '<div id="' . $element['#id'] . '" ' . drupal_attributes($wrapper_attributes) . '>' . $element['#children'] . '</div>';
   }
@@ -824,8 +845,7 @@ function date_popup_date_field_instance_settings_form_alter(&$form, $context) {
  * Implements hook_menu().
  */
 function date_popup_menu() {
-  $items = array();
-  // TODO Fix this later.
+  // @todo Fix this later.
   $items['admin/config/date/date_popup'] = array(
     'title' => 'Date Popup',
     'description' => 'Configure the Date Popup settings.',
@@ -836,6 +856,7 @@ function date_popup_menu() {
   );
   return $items;
 }
+
 /**
  * General configuration form for controlling the Date Popup behaviour.
  */
diff --git a/drupal7/sites/all/modules/date/date_popup/tests/DatePopupFieldTestCase.test b/drupal7/sites/all/modules/date/date_popup/tests/DatePopupFieldTestCase.test
new file mode 100644
index 00000000..84baf3d1
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_popup/tests/DatePopupFieldTestCase.test
@@ -0,0 +1,64 @@
+<?php
+
+/**
+ * @file
+ * Test the custom field functionality provided by the Date Popup module.
+ */
+
+/**
+ * Test the custom field functionality provided by the Date Popup module.
+ */
+class DatePopupFieldTestCase extends DateFieldTestBase {
+  
+  /**
+   * Define this test class.
+   */
+  public static function getInfo() {
+    return array(
+      'name' => t('Date Popup'),
+      'description' => t('Test the custom functionality of the Date Popup module.'),
+      'group' => t('Date'),
+    );
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp(array $modules = array()) {
+    $modules[] = 'date_popup';
+    parent::setUp($modules);
+
+    // Don't load the time picker.
+    // @todo Add test coverage for the time picker.
+    variable_set('date_popup_timepicker', 'none');
+  }
+
+  /**
+   * Test the field settings.
+   */
+  public function testField() {
+    // Test all base field types.
+    foreach (array('date', 'datestamp', 'datetime') as $field_type) {
+      // Add a Date Popup field to the 'story' content type, but don't remove
+      // it.
+      $this->checkDateField($field_type, 'date_popup', FALSE);
+
+      // Load the node form.
+      $this->drupalGet('node/add/story');
+      $this->assertResponse(200);
+
+      // Confirm the date field is present.
+      $this->assertFieldByName('field_test_date_popup[und][0][value][date]');
+      $this->assertFieldByName('field_test_date_popup[und][0][value][time]');
+
+      // Confirm the JS and CSS files were requested.
+      $this->assertRaw('date/date_popup/jquery.timeentry.pack.js');
+      $this->assertRaw('date/date_popup/themes/datepicker.1.7.css');
+      $this->assertRaw('date/date_popup/themes/jquery.timeentry.css');
+
+      // Now delete the field.
+      $this->deleteDateField('Test');
+    }
+  }
+
+}
diff --git a/drupal7/sites/all/modules/date/date_popup/tests/DatePopupValidationTestCase.test b/drupal7/sites/all/modules/date/date_popup/tests/DatePopupValidationTestCase.test
new file mode 100644
index 00000000..c6da3c31
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_popup/tests/DatePopupValidationTestCase.test
@@ -0,0 +1,44 @@
+<?php
+
+/**
+ * @file
+ * Data validation tests for the Date Popup module.
+ */
+
+/**
+ * Data validation tests for the Date Popup module.
+ */
+class DatePopupValidationTestCase extends DateValidationTestCase {
+
+  /**
+   * @todo.
+   */
+  // public static function getInfo() {
+  //   return array(
+  //     'name' => 'Date Popup Validation',
+  //     'description' => 'Data validation tests for the Date Popup module.',
+  //     'group' => 'Date',
+  //   );
+  // }
+
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp(array $modules = array()) {
+    $modules[] = 'date_popup';
+    parent::setUp($modules);
+  }
+
+  /**
+   * Validate the Date Popup fields.
+   */
+  public function testValidation() {
+    // Attempts to create text date field stored as a date with default settings
+    // (from input which is not valid).
+    foreach (array('date', 'datestamp', 'datetime') as $field_type) {
+      $this->checkDateField($field_type, 'date_popup', TRUE);
+      return;
+    }
+  }
+
+}
\ No newline at end of file
diff --git a/drupal7/sites/all/modules/date/tests/date_views_popup.test b/drupal7/sites/all/modules/date/date_popup/tests/DateViewsPopupTestCase.test
similarity index 88%
rename from drupal7/sites/all/modules/date/tests/date_views_popup.test
rename to drupal7/sites/all/modules/date/date_popup/tests/DateViewsPopupTestCase.test
index e3d4306d..83005047 100644
--- a/drupal7/sites/all/modules/date/tests/date_views_popup.test
+++ b/drupal7/sites/all/modules/date/date_popup/tests/DateViewsPopupTestCase.test
@@ -2,10 +2,13 @@
 
 /**
  * @file
- * Tests date popup in Views
+ * Tests Date Popup in the Views interface.
  */
 
-class DateViewsPopupTestCase extends DateFieldBasic {
+/**
+ * Tests Date Popup in the Views interface.
+ */
+class DatePopupWithViewsTestCase extends DateFieldTestBase {
   /**
    * Test info.
    */
@@ -14,18 +17,20 @@ class DateViewsPopupTestCase extends DateFieldBasic {
       'name' => 'Date Views - Popup Test',
       'description' => 'Tests date popup in Views',
       'group' => 'Date',
+      'dependencies' => array('ctools', 'views'),
     );
   }
 
   /**
-   * Test setup actions.
+   * {@inheritdoc}
    */
-  public function setUp() {
-    parent::setUp();
-    // Load the 'date_popup', 'date_views', 'views', 'views_ui', 'ctools' modules.
-    $modules = array('date_popup', 'date_views', 'views', 'views_ui', 'ctools');
-    $success = module_enable($modules, TRUE);
-    $this->assertTrue($success, t('Enabled modules: %modules', array('%modules' => implode(', ', $modules))));
+  public function setUp(array $modules = array()) {
+    $modules[] = 'date_popup';
+    $modules[] = 'date_views';
+    $modules[] = 'ctools';
+    $modules[] = 'views';
+    $modules[] = 'views_ui';
+    parent::setUp($modules);
 
     // Reset/rebuild all data structures after enabling the modules.
     $this->resetAll();
@@ -57,7 +62,7 @@ class DateViewsPopupTestCase extends DateFieldBasic {
     $view->human_name = 'Test date_popup';
     $view->core = 7;
     $view->api_version = '3.0';
-    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
+    $view->disabled = FALSE; /* Edit this to TRUE to make a default view disabled initially */
 
     /* Display: Master */
     $handler = $view->new_display('default', 'Master', 'default');
@@ -103,4 +108,5 @@ class DateViewsPopupTestCase extends DateFieldBasic {
     // Go to view page.
     $this->drupalGet('test-date-popup');
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/date_repeat/date_repeat.info b/drupal7/sites/all/modules/date/date_repeat/date_repeat.info
index 0a63175c..dbad355d 100644
--- a/drupal7/sites/all/modules/date/date_repeat/date_repeat.info
+++ b/drupal7/sites/all/modules/date/date_repeat/date_repeat.info
@@ -1,15 +1,16 @@
 name = Date Repeat API
 description = A Date Repeat API to calculate repeating dates and times from iCal rules.
-dependencies[] = date_api
 package = Date/Time
 core = 7.x
 php = 5.2
+
+dependencies[] = date:date_api
+
 files[] = tests/date_repeat.test
 files[] = tests/date_repeat_form.test
 
-; Information added by Drupal.org packaging script on 2017-04-07
-version = "7.x-2.10"
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
 core = "7.x"
 project = "date"
-datestamp = "1491562090"
-
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/date_repeat/date_repeat.module b/drupal7/sites/all/modules/date/date_repeat/date_repeat.module
index 61d971ba..d319c51a 100644
--- a/drupal7/sites/all/modules/date/date_repeat/date_repeat.module
+++ b/drupal7/sites/all/modules/date/date_repeat/date_repeat.module
@@ -1,4 +1,5 @@
 <?php
+
 /**
  * @file
  * This module creates a form element that allows users to select
@@ -70,9 +71,9 @@ function date_repeat_interval_options() {
 /**
  * Helper function for FREQ options.
  *
- * Translated and untranslated arrays of the iCal day of week names.
- * We need the untranslated values for date_modify(), translated
- * values when displayed to user.
+ * Translated and untranslated arrays of the iCal day of week names. We need the
+ * untranslated values for date_modify(), translated values when displayed to
+ * user.
  */
 function date_repeat_dow_day_options($translated = TRUE) {
   return array(
@@ -104,7 +105,6 @@ function date_repeat_dow_day_options_abbr($translated = TRUE, $length = 3) {
 
     default:
       $context = '';
-      break;
   }
   foreach (date_repeat_dow_day_untranslated() as $key => $day) {
     $return[$key] = $translated ? t(substr($day, 0, $length), array(), array('context' => $context)) : substr($day, 0, $length);
@@ -125,7 +125,7 @@ function date_repeat_dow_day_untranslated() {
       'WE' => 'Wednesday',
       'TH' => 'Thursday',
       'FR' => 'Friday',
-      'SA' => 'Saturday'
+      'SA' => 'Saturday',
     );
   }
   return $date_repeat_weekdays;
@@ -157,7 +157,7 @@ function date_repeat_dow_count_options() {
 /**
  * Helper function for BYDAY options.
  *
- * Creates options like -1SU and 2TU
+ * Creates options like -1SU and 2TU.
  */
 function date_repeat_dow_options() {
   $options = array();
@@ -172,8 +172,8 @@ function date_repeat_dow_options() {
 /**
  * Translate a day of week position to the iCal day name.
  *
- * Used with date_format($date, 'w') or get_variable('date_first_day'),
- * which return 0 for Sunday, 1 for Monday, etc.
+ * Used with date_format($date, 'w') or get_variable('date_first_day'), which
+ * return 0 for Sunday, 1 for Monday, etc.
  *
  * dow 2 becomes 'TU', dow 3 becomes 'WE', and so on.
  */
@@ -183,7 +183,9 @@ function date_repeat_dow2day($dow) {
 }
 
 /**
- * Shift the array of iCal day names into the right order for a specific week start day.
+ * Shift the array of iCal day names into the right order.
+ *
+ * @param $week_start_day
  */
 function date_repeat_days_ordered($week_start_day) {
   $days = array_flip(array_keys(date_repeat_dow_day_options(FALSE)));
@@ -247,7 +249,6 @@ function date_repeat_rrule_description($rrule, $format = 'D M d Y') {
 
     default:
       $description['!interval'] = format_plural($rrule['INTERVAL'], 'every day', 'every @count days') . ' ';
-      break;
   }
 
   if (!empty($rrule['BYDAY'])) {
@@ -265,7 +266,7 @@ function date_repeat_rrule_description($rrule, $format = 'D M d Y') {
         array(
           '!repeats_every_interval ' => '',
           '!date_order' => $order,
-          '!day_of_week' => $days[$day]
+          '!day_of_week' => $days[$day],
         )));
       }
       else {
@@ -287,14 +288,14 @@ function date_repeat_rrule_description($rrule, $format = 'D M d Y') {
         array(
           '!repeats_every_interval ' => '',
           '!month_days' => implode(', ', $rrule['BYMONTHDAY']),
-          '!month_names' => implode(', ', $results)
+          '!month_names' => implode(', ', $results),
         )));
       }
       else {
         $description['!bymonth'] = trim(t('!repeats_every_interval on !month_names',
         array(
           '!repeats_every_interval ' => '',
-          '!month_names' => implode(', ', $results)
+          '!month_names' => implode(', ', $results),
         )));
       }
     }
@@ -312,7 +313,7 @@ function date_repeat_rrule_description($rrule, $format = 'D M d Y') {
     $description['!until'] = trim(t('!repeats_every_interval until !until_date',
     array(
       '!repeats_every_interval ' => '',
-      '!until_date' => date_format_date($until, 'custom', $format)
+      '!until_date' => date_format_date($until, 'custom', $format),
     )));
   }
   if ($exceptions) {
@@ -325,7 +326,7 @@ function date_repeat_rrule_description($rrule, $format = 'D M d Y') {
     $description['!except'] = trim(t('!repeats_every_interval except !except_dates',
     array(
       '!repeats_every_interval ' => '',
-      '!except_dates' => implode(', ', $values)
+      '!except_dates' => implode(', ', $values),
     )));
   }
   if (!empty($rrule['WKST'])) {
